enum BusinessSector {
  BON_APPETIT
  EUREST
  ARAMARK
  EPICUREAN_GROUP
  CHARTWELLS
  OTHER
}

enum BusinessRateGroup {
  STANDARD
  PREMIUM
  ENTERPRISE
  CUSTOM
}

enum BusinessStatus {
  ACTIVE
  INACTIVE
  PENDING
}

type Business @table(name: "business") {
  id: UUID! @default(expr: "uuidV4()")
  businessName: String!
  contactName: String!
  email: String
  sector: BusinessSector
  rateGroup: BusinessRateGroup!
  status: BusinessStatus
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
